Page MenuHomePhabricator

Create Content Maturity Model for Technical Documentation
Closed, ResolvedPublic

Description

Create a content maturity model for technical documentation to guide the evaluation of the current state of technical documentation articles and content collections on our wikis and to create a strategic vision for improvement of content quality.

A content maturity model can help technical communicators and other stakeholders understand the state of individual articles and content collections. The model helps to provide a holistic view of common challenges and opportunities. It can provide a shared understanding and language for individuals across the organization whether working in silos or as teams. As we look for ways to improve and create quality technical documentation content across wikis and to keep our work consistent and replicable, having a shared understanding of what makes "good" documentation will be essential and invaluable.

Future uses:

Short term

Far future

  • A potential (far) future use would be to work with ORES to train an article quality model for technical documentation.

More information can be found here:

https://www.mediawiki.org/wiki/User:SRodlund_(WMF)/Maturity_model_for_MediaWiki_technical_documentation#Analyzing_and_measuring_measuring_improvements_to_technical_documentation

Event Timeline

srodlund created this task.Dec 14 2018, 6:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2018, 6:54 PM
srodlund updated the task description. (Show Details)Jan 7 2019, 5:40 PM
srodlund closed this task as Resolved.Apr 8 2019, 9:59 PM

This is done :-)